> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.fohlio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List payment reasons



## OpenAPI

````yaml /swagger.yaml get /team/payment_reasons
openapi: 3.1.0
info:
  title: Fohlio REST API
  description: This is the documentation for the Fohlio REST API.
  version: 1.0.0
servers:
  - url: /openapi
  - url: https://app.fohlio.com/be/openapi
security: []
tags:
  - name: Webhooks
    description: Webhook event notifications
paths:
  /team/payment_reasons:
    get:
      tags:
        - Payment Reason
      summary: List payment reasons
      operationId: payment_reasons#list
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            default: 1
            minimum: 1
          required: false
        - name: per_page
          in: query
          schema:
            type: integer
            default: 50
            maximum: 100
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              examples:
                ok:
                  $ref: '#/components/examples/paymentReasonsList'
        '401':
          description: Unauthorized
          content:
            application/json:
              examples:
                unauthorized:
                  $ref: '#/components/examples/responseBodyErrorUnauthorized'
              schema:
                $ref: '#/components/schemas/error'
      security:
        - apiKey: []
components:
  examples:
    paymentReasonsList:
      summary: OK
      value:
        - id: 1
          team_id: 1
          name: Deposit
          description: Initial deposit payment
        - id: 2
          team_id: 1
          name: Final payment
          description: null
    responseBodyErrorUnauthorized:
      value:
        error: Unauthorized
  schemas:
    error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    apiKey:
      type: apiKey
      name: authorization
      in: header

````